<template>
  <div>
    <SidebarAdmin />
    <div class="container-admin">
      <div class="icon-step">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="26"
          height="26"
          fill="currentColor"
          class="bi bi-people"
          viewBox="0 0 16 16"
        >
          <path
            d="M15 14s1 0 1-1-1-4-5-4-5 3-5 4 1 1 1 1h8Zm-7.978-1A.261.261 0 0 1 7 12.996c.001-.264.167-1.03.76-1.72C8.312 10.629 9.282 10 11 10c1.717 0 2.687.63 3.24 1.276.593.69.758 1.457.76 1.72l-.008.002a.274.274 0 0 1-.014.002H7.022ZM11 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4Zm3-2a3 3 0 1 1-6 0 3 3 0 0 1 6 0ZM6.936 9.28a5.88 5.88 0 0 0-1.23-.247A7.35 7.35 0 0 0 5 9c-4 0-5 3-5 4 0 .667.333 1 1 1h4.216A2.238 2.238 0 0 1 5 13c0-1.01.377-2.042 1.09-2.904.243-.294.526-.569.846-.816ZM4.92 10A5.493 5.493 0 0 0 4 13H1c0-.26.164-1.03.76-1.724.545-.636 1.492-1.256 3.16-1.275ZM1.5 5.5a3 3 0 1 1 6 0 3 3 0 0 1-6 0Zm3-2a2 2 0 1 0 0 4 2 2 0 0 0 0-4Z"
          />
        </svg>
      </div>
      <h3 class="my-4 fw-bold">Data Peserta</h3>
      <div class="responsive-table">
        <table class="table table-bordered">
          <thead>
            <tr class="table-primary" style="vertical-align: middle">
              <th style="min-width: 60px">No</th>
              <th style="min-width: 160px">NIK</th>
              <th style="min-width: 160px">Nama</th>
              <th style="min-width: 160px">Tanggal Lahir</th>
              <th style="min-width: 110px">Jenis Kelamin</th>
              <th style="min-width: 160px">Alamat</th>
              <th style="min-width: 160px">No Handphone</th>
              <th style="min-width: 200px">Email</th>
              <th style="min-width: 80px">Id Job</th>
              <th style="min-width: 80px">Id Branch</th>
              <th style="min-width: 80px">Id Program</th>
              <th style="min-width: 80px">Id Payment Period</th>
              <th style="min-width: 140px">Iuran Jkk</th>
              <th style="min-width: 140px">Iuran Jht</th>
              <th style="min-width: 140px">Iuran Jkm</th>
              <th style="min-width: 140px">Total Bayar</th>
            </tr>
          </thead>
          <tbody>
            <tr
              class="hover-bg-table cursor-pointer"
              v-for="(participant, index) in participants"
              :key="participant.idParticipant"
              @click="participantDetail(participant.idParticipant)"
            >
              <td class="text-end">{{ index + 1 }}</td>
              <td class="text-end">{{ participant.nik }}</td>
              <td>{{ participant.name }}</td>
              <td>{{ setDate(participant.dob) }}</td>
              <td>{{ participant.gender }}</td>
              <td>{{ participant.address }}</td>
              <td>{{ participant.phoneNumber }}</td>
              <td>{{ participant.email }}</td>
              <td class="text-end">{{ participant.idJob }}</td>
              <td class="text-end">{{ participant.idBranch }}</td>
              <td class="text-end">{{ participant.idProgram }}</td>
              <td class="text-end">{{ participant.idPaymentPeriod }}</td>
              <td class="text-end">
                {{ setRupiah(participant.totalIuranJkk) }}
              </td>
              <td class="text-end">
                {{ setRupiah(participant.totalIuranJht) }}
              </td>
              <td class="text-end">
                {{ setRupiah(participant.totalIuranJkm) }}
              </td>
              <td class="text-end">{{ setRupiah(participant.totalBayar) }}</td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import SidebarAdmin from "@/components/SidebarAdmin.vue";
import moment from "moment/moment";
import axios from "axios";

export default {
  name: "ParticipantView",
  components: {
    SidebarAdmin,
  },
  computed: {},
  data() {
    return {
      participants: {},
    };
  },
  methods: {
    getParticipant() {
      axios
        .get("http://localhost:3000/participant/view")
        .then((response) => {
          this.participants = response.data.data;
          console.log(this.participant);
        })
        .catch((error) => {
          console.log(error);
        });
    },
    participantDetail(idParticipant) {
      this.$router.push({
        path: "/admin/participant/" + idParticipant + "/detail",
      });
    },
    setRupiah(number) {
      var result = new Intl.NumberFormat("id-ID", {
        style: "currency",
        currency: "IDR",
      }).format(parseInt(number));
      return result;
    },
    setDate(date) {
      return moment(date).format("DD MMMM YYYY");
    },
  },
  mounted() {
    moment.locale("id");
    this.getParticipant();
  },
};
</script>

<style>
</style>